Kerbal Space Program - Bug #2034

Part info in editor is bugged with more than 2 resources.
01/13/2014 10:20 AM - cybutek

Status: Closed Start date: 01/13/2014
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.23 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If a part contains more than 2 resources, it will cause a Ul bug in the editor with the part info panel.

To replicate:

Edit a part so that it contains 3 or more resources and you will experience the bug by hovering your mouse over the part in the
VAB/SPH parts list.

[EXC 16:13:24.933] ArgumentOutOfRangeException: Argument is out of range.
Parameter name: index

Is spammed every frame in which the mouse is hovering over the part in the parts list.

History

#1 - 07/11/2014 09:20 PM - TaranisElsu

Duplicate of http:/ .kerbal rogram.com/i 1 ?

#2 - 07/17/2016 09:25 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/08/2016 12:53 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/ .kerbal rogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
